Bug 112057 - Clarify what Cell Edit Mode in Calc means
Summary: Clarify what Cell Edit Mode in Calc means
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low minor
Assignee: Rafael Lima
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-27 13:11 UTC by Buovjaga
Modified: 2021-08-25 10:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2017-08-27 13:11:18 UTC
In the section on F2 here: https://help.libreoffice.org/Calc/Shortcut_Keys_for_Spreadsheets#Function_Keys_Used_in_Spreadsheets "Press again to exit Edit mode." should be removed.
Comment 1 Cor Nouws 2017-08-27 16:15:47 UTC
it does exit Edit mode, if you hit F2 for the second time in a cell where input was started by entering text/numbers, rather than by hitting F2..

So the Help should clarify this - although bug 70129 requests for change of the behavior.
Comment 2 Buovjaga 2017-08-27 18:38:38 UTC
(In reply to Cor Nouws from comment #1)
> it does exit Edit mode, if you hit F2 for the second time in a cell where
> input was started by entering text/numbers, rather than by hitting F2..
> 
> So the Help should clarify this - although bug 70129 requests for change of
> the behavior.

Let me put my user hat on.

For me, Edit mode is enabled, when the cursor starts to blink. When I exit Edit mode, the cursor stops blinking.

Today is the first time I have heard about a mysterious third state, where the cursor is blinking, but I am not in The Officially Approved Edit mode. It does explain the awkwardness of starting to edit by typing in Calc which I've always wondered about..

To make things even more wonderful, have a try using the menu Edit - Cell Edit Mode. It doesn't toggle anything: it just keeps re-enabling the Edit mode.

I tried hunting for documentation on this quirky Cell Edit Mode.
This does not even mention it: https://help.libreoffice.org/Calc/Edit

I downloaded Calc 4.1 guide. It has this in the Input settings section:
Press Enter to switch to edit mode
Specifies that pressing Enter puts the selected cell into edit mode. To end Edit mode and move the cursor in the desired direction, press Enter again.

So the Calc guide seems to agree with my simple user logic where Edit mode == blinking cursor.. There is nothing further in the guide about edit mode, besides the information copied from the help section "Function Keys Used in Spreadsheets"

Thus: we need documentation which distinguishes starting to edit by typing and starting to edit by double-clicking/F2/Edit - Cell Edit Mode.
Comment 3 Buovjaga 2017-08-27 18:59:16 UTC
Yet another note: if you go to Tools - Options - Calc - General and set "Press Enter to switch to Edit mode", it behaves differently from F2. Pressing Enter again makes you exit the cell and drop to the lower one.

The behaviour of this thing is all over the place.
Comment 4 Cor Nouws 2017-08-27 19:08:23 UTC
(In reply to Buovjaga from comment #2)

> Today is the first time I have heard about a mysterious third state, where
> the cursor is blinking, but I am not in The Officially Approved Edit mode.

What mysterious state do you mean? (which of the mysterious states :D )
A cell that has focus (dark border) shows no blinking cursor, but as soon as I start typing, blinking cursor is there..

> It does explain the awkwardness of starting to edit by typing in Calc which
> I've always wondered about..

> Thus: we need documentation which distinguishes starting to edit by typing
> and starting to edit by double-clicking/F2/Edit - Cell Edit Mode.

plus Enter when Tools - Options - Calc - General and set "Press
Enter to switch to Edit mode" is activated ;)
Comment 5 Buovjaga 2017-08-28 05:04:39 UTC
(In reply to Cor Nouws from comment #4)
> (In reply to Buovjaga from comment #2)
> 
> > Today is the first time I have heard about a mysterious third state, where
> > the cursor is blinking, but I am not in The Officially Approved Edit mode.
> 
> What mysterious state do you mean? (which of the mysterious states :D )
> A cell that has focus (dark border) shows no blinking cursor, but as soon as
> I start typing, blinking cursor is there..

Exactly the state that you are talking about. If you press the arrow keys, you move away from the cell, so different from the edit mode, where cursor blinks, but you move inside the cell.
Comment 6 Cor Nouws 2017-08-28 20:21:57 UTC
(In reply to Buovjaga from comment #5)

> Exactly the state that you are talking about. If you press the arrow keys,
> you move away from the cell, so different from the edit mode, where cursor
> blinks, but you move inside the cell.

Really handsome to enter data in various cells ;)
Comment 7 Buovjaga 2017-08-29 04:37:02 UTC
(In reply to Cor Nouws from comment #6)
> (In reply to Buovjaga from comment #5)
> 
> > Exactly the state that you are talking about. If you press the arrow keys,
> > you move away from the cell, so different from the edit mode, where cursor
> > blinks, but you move inside the cell.
> 
> Really handsome to enter data in various cells ;)

It is so handsome it should be documented!
Comment 8 Commit Notification 2021-08-24 13:44:14 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/6f4f219c04d4bb914cd2a44e782f14ac69d0abc8

tdf#112057 Clarify the use of F2 in Calc